Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIMenuItem.Properties

    java.lang.Object
      java.lang.Enum<UIMenuItem.Properties>
          org.richfaces.component.UIMenuItem.Properties

All Implemented Interfaces:
  Serializable, Comparable<UIMenuItem.Properties>

Enclosing class:
  UIMenuItem

    protected static enum UIMenuItem.Properties

extends Enum<UIMenuItem.Properties>

Enum Constant Summary
`bypassUpdates`
`data`
`dir`
`disabled`
`execute`
`icon`
`iconDisabled`
`label`
`lang`
`limitRender`
`mode`
`onbeforedomupdate`
`onbegin`
`onclick`
`oncomplete`
`ondblclick`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`render`
`status`
`style`
`styleClass`
`title`
`value`

Method Summary
`static UIMenuItem.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UIMenuItem.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### bypassUpdates

    public static final UIMenuItem.Properties bypassUpdates

### data

    public static final UIMenuItem.Properties data

### dir

    public static final UIMenuItem.Properties dir

### disabled

    public static final UIMenuItem.Properties disabled

### execute

    public static final UIMenuItem.Properties execute

### icon

    public static final UIMenuItem.Properties icon

### iconDisabled

    public static final UIMenuItem.Properties iconDisabled

### label

    public static final UIMenuItem.Properties label

### lang

    public static final UIMenuItem.Properties lang

### limitRender

    public static final UIMenuItem.Properties limitRender

### mode

    public static final UIMenuItem.Properties mode

### onbeforedomupdate

    public static final UIMenuItem.Properties onbeforedomupdate

### onbegin

    public static final UIMenuItem.Properties onbegin

### onclick

    public static final UIMenuItem.Properties onclick

### oncomplete

    public static final UIMenuItem.Properties oncomplete

### ondblclick

    public static final UIMenuItem.Properties ondblclick

### onkeydown

    public static final UIMenuItem.Properties onkeydown

### onkeypress

    public static final UIMenuItem.Properties onkeypress

### onkeyup

    public static final UIMenuItem.Properties onkeyup

### onmousedown

    public static final UIMenuItem.Properties onmousedown

### onmousemove

    public static final UIMenuItem.Properties onmousemove

### onmouseout

    public static final UIMenuItem.Properties onmouseout

### onmouseover

    public static final UIMenuItem.Properties onmouseover

### onmouseup

    public static final UIMenuItem.Properties onmouseup

### render

    public static final UIMenuItem.Properties render

### status

    public static final UIMenuItem.Properties status

### style

    public static final UIMenuItem.Properties style

### styleClass

    public static final UIMenuItem.Properties styleClass

### title

    public static final UIMenuItem.Properties title

### value

    public static final UIMenuItem.Properties value

Method Detail

### values

    public static UIMenuItem.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIMenuItem.Properties c : UIMenuItem.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIMenuItem.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.